#include "StreamConcatFilter.h"

#ifdef _MANAGED
#pragma managed(push, off)
#endif

//////////////////////////////////////////////////////////////////////////
//###############################  Standard Filter DLL Code ###############################
static const WCHAR g_wszName[] = L"Stream Concat Filter";   /// A name for the filter 

// The next bunch of structures define information for the class factory.
AMOVIESETUP_FILTER FilterInfo =
{
	&CLS_STREAM_CONCAT, // CLSID
	g_wszName,							// Name
	MERIT_DO_NOT_USE,					// Merit
	0,									// Number of AMOVIESETUP_PIN structs
	NULL								// Pin registration information.
};


CFactoryTemplate g_Templates[1] = 
{
	{ 
		g_wszName,							// Name
			&CLS_STREAM_CONCAT, // CLSID
			CStreamConcatFilter::CreateInstance,	// Method to create an instance of MyComponent
			NULL,								// Initialization function
			&FilterInfo							// Set-up information (for filters)
	}
};
int g_cTemplates = sizeof(g_Templates) / sizeof(g_Templates[0]);   

//////////////////////////////////////////////////////////////////////////
// Functions needed by the DLL, for registration.

STDAPI DllRegisterServer(void)
{
	return AMovieDllRegisterServer2(TRUE);
}

STDAPI DllUnregisterServer()
{
	return AMovieDllRegisterServer2(FALSE);
}

//DLL Entry point
extern "C" BOOL WINAPI DllEntryPoint(HINSTANCE, ULONG, LPVOID);
BOOL APIENTRY DllMain(HANDLE hModule, DWORD dwReason, LPVOID lpReserved)
{
	return DllEntryPoint((HINSTANCE)(hModule), dwReason, lpReserved);
}

#ifdef _MANAGED
#pragma managed(pop)
#endif